<?php

namespace App\Livewire;

use Livewire\Component;

class AdvanceSearchFilter extends Component
{
    public $filterField = '1'; // Default value
    public $filterValueStart = '';
    public $filterValueEnd = '';

    public function submit()
    {
        $this->dispatch('formSubmitted', [
            'filter_field' => $this->filterField,
            'filter_value_start' => $this->filterValueStart,
            'filter_value_end' => $this->filterValueEnd,
        ]);
    }

    public function resetForm()
    {
        $this->reset(['filterField', 'filterValueStart', 'filterValueEnd']);
        $this->filterField = '1'; // Reset to default
    }

    public function render()
    {
        return view('livewire.advance-search-filter');
    }
}
