<?php

namespace App\Livewire;

use Livewire\Component;

class HeaderForm extends Component
{
    public $title;
    public $actionBtnName = 'Save';
    public $cancelBtnName = 'Cancel';
    public $deleteBtnName = 'Delete';
    public $loading = false;
    public $withConfirm = false;
    public $withCancelConfirm = false;
    public $disabled = false;
    public $isDropDown = false;
    public $isInsideForm = false;

    public function action()
    {
        $this->dispatch('actionTriggered');
    }

    public function cancel()
    {
        $this->dispatch('cancelTriggered');
    }

    public function deleteAction()
    {
        $this->dispatch('deleteTriggered');
    }

    public function actionPrivacy()
    {
        $this->dispatch('privacyTriggered');
    }

    public function actionTerms()
    {
        $this->dispatch('termsTriggered');
    }

    public function render()
    {
        return view('livewire.header-form');
    }
}
