<?php

namespace App\Livewire;

use Livewire\Component;

class InputMaskNumberForm extends Component
{
    public $value = '';
    public $name;
    public $label;
    public $required = false;
    public $mask = '999-999-9999'; // Example mask

    public function mount($name, $label, $required = false, $mask = '999-999-9999')
    {
        $this->name = $name;
        $this->label = $label;
        $this->required = $required;
        $this->mask = $mask;
    }

    public function updatedValue()
    {
        $this->dispatch('inputChanged', $this->value);
    }

    public function render()
    {
        return view('livewire.input-mask-number-form');
    }
}
