<?php

namespace App\Livewire;

use Livewire\Component;

class InputTextArea extends Component
{
    public $value = '';
    public $name;
    public $label;
    public $required = false;
    public $onCountText = false;
    public $charsperpage = 100;
    public $hasIcon = false;

    public function mount($name, $label, $required = false, $onCountText = false, $charsperpage = 100, $hasIcon = false)
    {
        $this->name = $name;
        $this->label = $label;
        $this->required = $required;
        $this->onCountText = $onCountText;
        $this->charsperpage = $charsperpage;
        $this->hasIcon = $hasIcon;
    }

    public function updatedValue()
    {
        $this->dispatch('textAreaChanged', $this->value);
    }

    public function render()
    {
        return view('livewire.input-text-area');
    }
}