<?php

namespace App\Livewire;

use Livewire\Component;

class MultiSelectOptions extends Component
{
    public $value = [];
    public $name;
    public $label;
    public $required = false;
    public $optionsList = [];

    public function mount($name, $label, $required = false, $optionsList = [])
    {
        $this->name = $name;
        $this->label = $label;
        $this->required = $required;
        $this->optionsList = $optionsList;
    }

    public function updatedValue()
    {
        $this->dispatch('multiSelectOptionsChanged', $this->value);
    }

    public function render()
    {
        return view('livewire.multi-select-options');
    }
}
