<?php

namespace App\Livewire;

use Livewire\Component;

class RadioForm extends Component
{
    public $value;
    public $name;
    public $label;
    public $optionsList = [];
    public $isRadioButton = false;
    public $required = false;

    public function mount($name, $label, $optionsList = [], $isRadioButton = false, $required = false)
    {
        $this->name = $name;
        $this->label = $label;
        $this->optionsList = $optionsList;
        $this->isRadioButton = $isRadioButton;
        $this->required = $required;
    }

    public function updatedValue()
    {
        $this->dispatch('radioChanged', $this->value);
    }

    public function render()
    {
        return view('livewire.radio-form');
    }
}