<form wire:submit.prevent="submit" class="container py-4">
    <div class="row g-3">
        <div class="col-md-4">
            <label for="filterField" class="form-label">Filter by Code</label>
            <select wire:model="filterField" class="form-select" id="filterField" required>
                <option value="ff0000">Red</option>
                <option value="00ff00">Green</option>
                <option value="0000ff">Blue</option>
            </select>
            @error('filterField')
                <div class="text-danger small">{{ $message }}</div>
            @enderror
        </div>
        <div class="col-md-4">
            <label class="form-label">Filter by Date Range</label>
            <div class="row g-2">
                <div class="col">
                    <input type="date" wire:model="filterValueStart" class="form-control" placeholder="From">
                </div>
                <div class="col">
                    <input type="date" wire:model="filterValueEnd" class="form-control" placeholder="To">
                </div>
            </div>
        </div>
    </div>

    <div class="row mt-3">
        <div class="col text-end">
            <button type="submit" class="btn btn-primary me-2">Search</button>
            <button type="button" wire:click="resetForm" class="btn btn-secondary">Clear</button>
        </div>
    </div>
</form>