<div class="mb-3">
    @if (session()->has('error'))
        <div class="alert alert-danger mb-2">{{ session('error') }}</div>
    @endif

    <label for="cascader" class="form-label">Select Location</label>
    <select wire:model="selected" class="form-select" id="cascader" multiple>
        @foreach($options as $option)
            <optgroup label="{{ $option['label'] }}">
                @foreach($option['children'] as $child)
                    <option value="{{ $child['value'] }}">{{ $child['label'] }}</option>
                    @foreach($child['children'] ?? [] as $grandchild)
                        <option value="{{ $grandchild['value'] }}">{{ $grandchild['label'] }}</option>
                    @endforeach
                @endforeach
            </optgroup>
        @endforeach
    </select>
    @error('selected')
        <div class="text-danger small">{{ $message }}</div>
    @enderror
</div>