<div class="d-flex justify-content-between align-items-center border-bottom bg-white position-fixed w-100 py-2 px-4" style="z-index: 99; top: {{ $isInsideForm ? '-154px' : '-73px' }}; left: -17px;">
    <h1 class="fs-4 mb-0">{{ $title }}</h1>
    <div class="d-flex position-fixed" style="right: 24px;">
        @if($actionBtnName)
            @if($withConfirm)
                <button type="button" class="btn btn-primary me-2" style="width: 135px;" wire:click="action" {{ $loading || $disabled ? 'disabled' : '' }} data-bs-toggle="modal" data-bs-target="#confirmModal">
                    {{ $actionBtnName }}
                </button>
                <div class="modal fade" id="confirmModal" tabindex="-1" aria-labelledby="confirmModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="confirmModalLabel">Confirmation</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                Are you sure?
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
                                <button type="button" class="btn btn-primary" wire:click="action" data-bs-dismiss="modal">Yes</button>
                            </div>
                        </div>
                    </div>
                </div>
            @else
                @if(!$isDropDown)
                    <button type="button" class="btn btn-primary me-2" style="width: 135px;" wire:click="action" {{ $loading || $disabled ? 'disabled' : '' }}>
                        {{ $actionBtnName }}
                    </button>
                @endif
            @endif
        @endif

        @if($cancelBtnName)
            <button type="button" class="btn btn-outline-secondary me-2" style="width: 135px;" wire:click="cancel" {{ $loading ? 'disabled' : '' }} {{ $withCancelConfirm ? 'data-bs-toggle=modal data-bs-target=#cancelModal' : '' }}>
                {{ $cancelBtnName }}
            </button>
            @if($withCancelConfirm)
                <div class="modal fade" id="cancelModal" tabindex="-1" aria-labelledby="cancelModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="cancelModalLabel">Cancel Confirmation</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                Are you sure you want to cancel?
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
                                <button type="button" class="btn btn-primary" wire:click="cancel" data-bs-dismiss="modal">Yes</button>
                            </div>
                        </div>
                    </div>
                </div>
            @endif
        @endif

        @if($deleteBtnName)
            <button type="button" class="btn btn-outline-danger me-2" style="width: 135px;" wire:click="deleteAction" {{ $loading || $disabled ? 'disabled' : '' }} data-bs-toggle="modal" data-bs-target="#deleteModal">
                {{ $deleteBtnName }}
            </button>
            <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="deleteModalLabel">Delete Confirmation</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            Are you sure you want to delete this record?
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
                            <button type="button" class="btn btn-danger" wire:click="deleteAction" data-bs-dismiss="modal">Yes</button>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        @if($isDropDown)
            <div class="dropdown">
                <button class="btn btn-primary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false" {{ $disabled ? 'disabled' : '' }}>
                    Add
                </button>
                <ul class="dropdown-menu">
                    <li><button class="dropdown-item" wire:click="actionPrivacy">Terms & Condition</button></li>
                    <li><button class="dropdown-item" wire:click="actionTerms">Privacy Policy</button></li>
                </ul>
            </div>
        @endif
    </div>
</div>