<div class="mb-3">
    <label for="{{ $name }}" class="form-label">{{ $label }}</label>
    @if(!$withActionBtn)
        <div class="input-group">
            <input type="text" wire:model="value" class="form-control" id="{{ $name }}" {{ $required ? 'required' : '' }}>
            @if($isCopyUsername)
                <button class="btn btn-primary" type="button" wire:click="$dispatch('copy', '{{ $value }}')" {{ $value ? '' : 'disabled' }} onclick="navigator.clipboard.writeText('{{ $value }}'); alert('Copied to clipboard!');">
                    Copy
                </button>
            @endif
        </div>
    @else
        <div class="row g-2">
            <div class="col-md-6">
                <input type="text" wire:model="value" class="form-control" id="{{ $name }}" {{ $required ? 'required' : '' }}>
            </div>
            <div class="col-md-6">
                <button class="btn btn-primary me-2" type="button" wire:click="$dispatch('action')" {{ $loading ? 'disabled' : '' }}>
                    Action
                </button>
                <button class="btn btn-primary" type="button" wire:click="$dispatch('copy', '{{ $value }}')" {{ $value ? '' : 'disabled' }} onclick="navigator.clipboard.writeText('{{ $value }}'); alert('Copied to clipboard!');">
                    Copy
                </button>
            </div>
        </div>
    @endif
    @error('value')
        <div class="text-danger small">{{ $message }}</div>
    @enderror
</div>