<div class="mb-3">
    <label for="{{ $name }}" class="form-label">
        {{ $label }}
        @if($hasIcon)
            <span class="ms-1" data-bs-toggle="tooltip" data-bs-placement="top" title="This content will be used in the 'Enter ID Number' page as part of the Apply for a Card process of the Unioil Mobile App.">
                <i class="bi bi-question-circle"></i>
            </span>
        @endif
    </label>
    <textarea wire:model="value" class="form-control" id="{{ $name }}" rows="3" {{ $required ? 'required' : '' }}></textarea>
    @if($onCountText)
        <div class="position-relative">
            <small class="position-absolute end-0 top-0 mt-1 me-2" style="color: {{ strlen($value) > $charsperpage ? 'red' : '#6c757d' }};">
                {{ strlen($value) }}/{{ $charsperpage }}
            </small>
        </div>
    @endif
    @error('value')
        <div class="text-danger small">{{ $message }}</div>
    @enderror
</div>

<script>
document.addEventListener('DOMContentLoaded', function () {
    var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'));
    tooltipTriggerList.map(function (tooltipTriggerEl) {
        return new bootstrap.Tooltip(tooltipTriggerEl);
    });
});
</script>